# eric4.Preferences.ConfigurationPages.EditorExportersPage

Module implementing the Editor Exporters configuration page.

### Global Attributes

None

### Classes

EditorExportersPage | Class implementing the Editor Typing configuration page.

### Functions

create | Module function to create the configuration page.

## EditorExportersPage

Class implementing the Editor Typing configuration page.

### Derived from

ConfigurationPageBase, Ui_EditorExportersPage

### Class Attributes

None

### Methods

EditorExportersPage | Constructor
on_exportersCombo_activated | Private slot to select the page related to the selected exporter.
on_rtfFontButton_clicked | Private method used to select the font for the RTF export.
save | Public slot to save the Editor Typing configuration.

#### EditorExportersPage (Constructor)

EditorExportersPage()

Constructor

#### EditorExportersPage.on_exportersCombo_activated

on_exportersCombo_activated(exporter)

Private slot to select the page related to the selected exporter.

exporter
  name of the selected exporter (QString)

#### EditorExportersPage.on_rtfFontButton_clicked

on_rtfFontButton_clicked()

Private method used to select the font for the RTF export.

#### EditorExportersPage.save

save()

Public slot to save the Editor Typing configuration.

Up

## create

create(dlg)

Module function to create the configuration page.

dlg
  reference to the configuration dialog

Up